#!/bin/bash

        # Repositories definition only usable with redpesk OS
        
cat << EOF > /etc/yum.repos.d/redpesk-bsp-phytec--redpesk-lts-batz-2.1-update-build.repo
[redpesk-bsp-phytec--redpesk-lts-batz-2.1-update-build]
name=redpesk-bsp-phytec--redpesk-lts-batz-2.1-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/staging/redpesk-bsp-phytec/redpesk-lts-batz-2.1-update-release/latest/\$basearch/os?token=fc9d9356-30b1-45a0-8d37-8e16c0ba45e2_881c2249-bf03-45e7-acb7-1bc05f6a3c67
priority=1
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/\${redpesk_gpgname},\${redpesk_download_url}/redpesk-config/\${redpesk_gpgname},file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redpesk,\${redpesk_download_url}/redpesk-config/RPM-GPG-KEY-redpesk

EOF
cat << EOF > /etc/yum.repos.d/redpesk-lts-batz-2.1-update-build.repo
[redpesk-lts-batz-2.1-update-build]
name=redpesk-lts-batz-2.1-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/staging/redpesk-lts-batz-2.1-update-release/latest/\$basearch/os
priority=2
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/\${redpesk_gpgname},\${redpesk_download_url}/redpesk-config/\${redpesk_gpgname},file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redpesk,\${redpesk_download_url}/redpesk-config/RPM-GPG-KEY-redpesk

EOF
cat << EOF > /etc/yum.repos.d/import-redpesk-lts-batz-2.1-update-build.repo
[import-redpesk-lts-batz-2.1-update-build]
name=import-redpesk-lts-batz-2.1-update-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/staging/import-redpesk-lts-batz-2.1-update-release/latest/\$basearch/os
priority=3
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/\${redpesk_gpgname},\${redpesk_download_url}/redpesk-config/\${redpesk_gpgname},file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redpesk,\${redpesk_download_url}/redpesk-config/RPM-GPG-KEY-redpesk

EOF
cat << EOF > /etc/yum.repos.d/redpesk-config-build.repo
[redpesk-config-build]
name=redpesk-config-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/staging/redpesk-config-release/latest/\$basearch/os
priority=52
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgkey=file:///etc/pki/rpm-gpg/\${redpesk_gpgname},\${redpesk_download_url}/redpesk-config/\${redpesk_gpgname},file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redpesk,\${redpesk_download_url}/redpesk-config/RPM-GPG-KEY-redpesk

EOF